<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Models\Pro;

class ProController extends Controller
{
    
    public function dashboard(){
        return view('pro.dashboard');
    }

    public function index(){
        $pros = Pro::all();
        return view('pro.index', compact('pros'));
    }

    public function create(){
        return view('pro.create');
    }

    public function show($uid, Request $request){
        $pro = Pro::where('uid', $uid)->first();
        return view('pro.show', compact('pro'));
    }
}
