@extends('layouts.guest-home')
@section('content')

    <div class="d-flex">
        <h1 class="font-weight-bold">Consult your doctor from the comfort of your home!</h1>
    </div>

    <div class="d-flex mt-4 mt-sm-5">
        <div class="form-container">
            <div class="form">
                <h3 class="border-bottom border-success text-center font-weight-bold py-3 m-0">Start Meeting</h3>
                <p class="px-4 text-dark m-0 py-3">Please enter your name and date of birth to start a meeting.</p>
                <div class="px-4 mb-4" autofocus="true">
                    <input type="text" class="form-control py-3" placeholder="Your name">
                </div>
                <div class="px-4 mb-4">
                    <input type="date" class="form-control py-3" placeholder="Your date of birth">
                </div>
                <div class="px-4 pb-4">
                    <button class="btn btn-success font-weight-bold w-100">Start Meeting</button>
                </div>
            </div>
        </div>
    </div>

@endsection
